From: Hanno Stock <hanno.stock@indurad.com>
Date: Tue, 30 Jul 2019 16:32:59 +0200
Subject: Omit signedViewer altogether when not using openssl

---
 UI/MailPartViewers/UIxMailRenderingContext.m | 4 ++++
 1 file changed, 4 insertions(+)

Index: sogo/UI/MailPartViewers/UIxMailRenderingContext.m
===================================================================
--- sogo.orig/UI/MailPartViewers/UIxMailRenderingContext.m
+++ sogo/UI/MailPartViewers/UIxMailRenderingContext.m
@@ -196,7 +196,11 @@ static BOOL showNamedTextAttachmentsInli
 	  || [st isEqualToString: @"appledouble"])
 	return [self mixedViewer];
       else if ([st isEqualToString: @"signed"])
+#ifdef HAVE_OPENSSL
 	return [self signedViewer];
+#else
+	return [self mixedViewer];
+#endif
       else if ([st isEqualToString: @"alternative"])
 	return [self alternativeViewer];
 
